/* font-family: 'Montserrat', sans-serif; */

@import url(reset.css);

body {
    font-family: 'Montserrat', sans-serif;
}

.container {
    max-width: calc(1160px + 20px);
    height: 100%;
    padding: 0 10px;
    margin: 0 auto;
}

.strong-cyan {
    color: #18CFAB;
}

.section-title {
    text-align: center;
    margin-bottom: 24px;
    font-size: 36px;
    line-height: 1.11;
    color: #4E4E4E;
}

.section-title-lines {
    display: block;
    margin: 0 auto 67px;
}

/* ----- Double button ----- */

.double-button__wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 166px;
    height: 65px;
}

.double-button.white-btn {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

.double-button.color-btn {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: translateY(4px);
}

.double-button__text {
    position: absolute;
    font-size: 15px;
    line-height: 2.12;
    font-weight: 700;
    color: #FFFFFF;
    text-transform: uppercase;
    transform: translateY(4px);
}

/* ----- Load More button ----- */

.load-more-btn__wrapper {
    position: absolute;
    bottom: 99px;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    cursor: pointer;
}

.load-more-btn__bg {
    position: relative;
}

.load-more-btn__text-wrapper {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 23px;
    z-index: 1;
}

.load-more-btn__text {
    font-size: 14px;
    line-height: 3;
    font-weight: 700;
    color: #FFFFFF;
    text-transform: uppercase;
}

/* ----- Header ----- */

.header {
    position: absolute;
    width: 100%;
    height: 120px;
    background: rgba(94, 93, 88, 0.60);
}

.header__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-logo__wrapper {
    display: flex;
    align-items: center;
    gap: 6px;
}

.header-logo-letter__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 58px;
    height: 67px;
    background-image: url(../assets/logo_bg.svg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.header-logo-letter {
    font-size: 40px;
    line-height: 0.77;
    font-weight: 700;
    color: #FFFFFF;
}

.header-logo-title {
    font-size: 32px;
    line-height: 1.5;
    font-weight: 400;
    color: #FFFFFF;
}

.header-logo-title span {
    font-weight: 700;
}

.header-nav__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 21px;
}

.header-navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 21px;
}

.header-navbar-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 21px;
}

.header-navbar-item {
    font-size: 16px;
    line-height: 1.5;
    font-weight: 700;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 0.60);
}

.header-navbar-item a {
    transition: 0.3s;
}

.header-navbar-item a:hover {
    color: #18CFAB;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: #18CFAB;
    text-underline-offset: 53px;
}

/* ----- Home section ----- */

.home {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 1012px;
    padding: 120px;
    margin-bottom: 8px;
    background-image: url(../images/banner.png);
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.home-text__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 22px;
    margin-bottom: 122px;
}

.home-text__top-subtitle {
    font-size: 35px;
    line-height: 1; 
    font-weight: 700;
    color: #FFFFFF;
    text-align: center;
    text-transform: uppercase;
}

.home-text__title {
    font-size: 78px;
    line-height: 1;
    font-weight: 700;
    color: #FFFFFF;
    text-align: center;
    text-transform: uppercase;
}

.home-text__bottom-subtitle {
    font-size: 34px;
    line-height: 1;
    color: #D4D4D4;
    text-align: center;
}

.home-buttons__wrapper {
    display: flex;
    gap: 26px;
}

/* ----- Options section ----- */

.options {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    height: 360px;
    margin-bottom: 85px;
}

.options-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 59px;
    padding: 98px 0 103px;
    background-color: #18CFAB;
}

.options-card.bg-dark {
    gap: 49px;
    padding: 87px 0 103px;
    background-color: #1C2A33;
}

.options-card__title {
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    color: #FFFFFF;
    text-transform: uppercase;
}

.options-card__title.strong-cyan {
    color: #18CFAB;
}

/* ----- Services section ----- */

.services-content {
    display: flex;
    flex-direction: column;
    margin-bottom: 91px;
}

.services-tabs-list {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    height: 76px;
    margin-bottom: 27px;
}

.services-tab {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 73px;
    font-size: 16px;
    line-height: 2.44;
    color: #717171;
    background-color: #F8FCFE;
    border: 1px solid #EDEFEF;
}

.services-tab:hover {
    border-color: #18CFAB;
    cursor: pointer;
}

.services-tab.active {
    color: #FFFFFF;
    background-color: #18CFAB;
    border-color: #18CFAB;
}

.services-tab.active::after {
    content: "";
    position: absolute;
    bottom: -10px;
    width: 27px;
    height: 15px;
    background-image: url(../images/services/color_arrow.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.services-content-list {
    height: 139px;
}

.services-content-item {
    display: none;
    justify-content: space-between;
    align-items: flex-start;
    gap: 15px;
}

.services-content-item.active {
    display: flex;
}

.services-content-item__image {
    width: 192px;
    height: 139px;
    margin-top: 6px;
    object-fit: cover;
}

.services-content-item__text {
    font-size: 14px;
    font-weight: 300;
    line-height: 1.78;
    color: #777777;
}

/* ----- Purchase section ----- */

.purchase {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 62px;
    height: 476px;
    background-image: url(../images/purchase/purchase_section_bg.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.purchase-text__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 12px;
}

.purchase-title {
    font-size: 40px;
    line-height: 1;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

.purchase-subtitle {
    font-size: 16px;
    line-height: 2.5;
    text-align: center;
    color: #D8D8D8;
}

/* ----- Our Amazing Work section ----- */

.work {
    position: relative;
    min-height: 1212px;
    padding-top: 96px;
    margin-bottom: 82px;
    background: #E9EDEF;
}

.work-tabs-list {
    display: flex;
    justify-content: space-evenly;
    align-items: center; 
    width: 582px;
    margin: 0 auto 70px;
    border: 1px solid #DADADA;
    background: rgba(0, 0, 0, 0.00);
}

.work-tab {
    position: relative;
    padding: 8px 15px;
    font-size: 14px;
    line-height: 3;
    color: #717171;
    cursor: pointer;
}

.work-tabs-list li:first-child {
    padding: 8px 28px;
}

.work-tabs-list li:not(:last-child) {
    border-right: 1px solid #DADADA;
}

.work-tab.active {
    outline: 2px solid #18CFAB;
}

.work-gallery {
    display: grid;
    grid-template-columns: repeat(4, 285px);
    justify-content: center;
    padding-bottom: 70px;
}

.work-image__wrapper {
    position: relative;
    width: auto;
    height: 206px;
    overflow: hidden;
    cursor: pointer;
}

.work-image {
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: cover;
}

.work-image-bg {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: none;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    background-color: #E9EDEF;
}

.work-image-bg__text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.work-image-bg__title {
    font-size: 14px;
    line-height: 1.78;
    font-weight: 700;
    text-transform: uppercase;
}

.work-image-bg__subtitle {
    font-size: 12px;
    line-height: 2.07;
    font-weight: 300;
    color: #8A8A8A;
}

.work-image__wrapper:hover {
    border-top: 4px solid #18CFAB;
}

.work-image__wrapper:hover .work-image-bg {
    display: flex;
}

.work-image__wrapper:hover .work-image {
    opacity: 0;
}

[hidden] {
    display: none;
}

/* ----- Breaking News section ----- */

.breaking-news-cards__wrapper {
    display: grid;
    grid-template-columns: repeat(4, 265px);
    gap: 45px 35px;
    padding-bottom: 130px;
}

.breaking-news-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 265px;
    height: 281px;
}

.breaking-news-cards__cover {
    position: relative;
}

.breaking-news-card__date {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 70px;
    height: 68px;
    font-size: 16px;
    line-height: 1.56;
    color: #FFFFFF;
    background-color: #203E38;
    transition: 0.3s;
}

.breaking-news-card__caption {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: #F8FCFE;
    border: 1px solid #F2F4F5;
}

.breaking-news-card__title {
    font-size: 18px;
    font-weight: 700;
    line-height: 2.16;
    color: #717171;
    transition: 0.3s;
}

.breaking-news-card__subtitle {
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 210px;
    font-size: 14px;
    line-height: 2.78;
    font-weight: 300;
    color: #777777;
}

.breaking-news-card__subtitle::after {
    content: "";
    position: absolute;
    right: 53%;
    border-right: 1px solid #777777;
    height: 14px;
}

.breaking-news-card:hover .breaking-news-card__date {
    background-color: #18CFAB;
}

.breaking-news-card:hover h3 {
    color: #18CFAB;
}

/* ----- Client Feedback section ----- */

.feedback {
    height: 853px;
    background-image: url(../images/client_feedback/feedback_banner.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding-top: 98px;
}

.section-title.white-title {
    color: #FFFFFF;
}

.feedback__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.feedback-quotes__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.feedback-quote {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 37px;
    width: 0;
    height: 0;
    padding-bottom: 13px;
    margin-bottom: 38px;
    opacity: 0;
    z-index: -1;
    overflow: hidden;
    transition: opacity 1.5s ease;
}

.feedback-quote.active {
    width: auto;
    height: auto;
    opacity: 1;
    z-index: auto;
}

.feedback-text {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.88;
    color: #BBBBBB;
    text-align: center;
}

.feedback-client {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 42px;
}

.feedback-client-name {
    font-size: 16px;
    line-height: 1.69;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

.feedback-client-job {
    font-size: 13px;
    line-height: 2.08;
    font-weight: 300;
    color: #BBBBBB;
    text-align: center;
}

.big-avatars__wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 166px;
    height: 166px;
    margin-bottom: 50px;
}

.big-avatar {
    position: absolute;
    width: 0;
    height: 0;
    opacity: 0;
    overflow: hidden;
    border-radius: 50%;
    border: 12px solid rgba(31, 218, 181, 0.2);
    z-index: -1;
    transition: opacity 1.5s ease;
}

.big-avatar.active {
    width: auto;
    height: auto;
    opacity: 1;
    z-index: auto;
}

.arrows__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    height: 70px;
    padding: 19px 0;
}

.arrow-icon {
    cursor: pointer;
}

.arrow-icon.next-arrow {
    transform: rotate(180deg);
    cursor: pointer;
}

.arrow-icon:hover rect {
    fill: #18CFAB;
    fill-opacity: 1;
    stroke: #FFFFFF;
}

.arrow-icon:hover path {
    fill: #FFFFFF;
}

.small-avatars__wrapper {
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    gap: 32px;
}

.small-avatar {
    border: 6px solid rgba(31, 218, 181, 0.2);
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.2s linear;
}

.small-avatar.active {
    transform: translateY(-11px);
}

/* ----- Footer ----- */

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    height: 121px;
    background-color: #22353F;
}

.footer-copyright {
    font-size: 14px;
    line-height: 1.88;
    font-weight: 300;
    color: #AEAEAE;
}

.footer-all-rights {
    position: relative;
    font-size: 14px;
    line-height: 1.88;
    font-weight: 300;
    color: #AEAEAE;
}

.footer-all-rights::before {
    content: "";
    position: absolute;
    left: -10px;
    bottom: 8px;
    border-left: 1px solid #777777;
    height: 14px;
}